Autor Wątek: [How To]Pozbądź się szpiegów czyli oprogramowanie NONPRISM w Arch Linux  (Przeczytany 911 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

sir_lucjan

  • AUR-OR
  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 1327
  • Reputacja +11/-0
  • Nic nie działa, jak Polska cała!
    • Mój profil w AUR
  • Architektura: x86_64
  • DE/WM: Plasma 5
  • Distro: Arch Linux
  • GPU: Intel
  • Kernel: linux-bfq-haswell
Uwaga. Poradnik przeznaczony jest dla osób zaawansowanych oraz - co ważniejsze - będących szczerymi i oddanymi zwolennikami szeroko rozumianej prywatności. Jeśli nie wierzysz w spiskowe teorie dziejów, poradnik nie jest przeznaczony dla Ciebie! Poradnik ten jest kontynuacją oraz uzupełnieniem TEGO poradnika.

Dzisiaj weźmiemy na celownik oprogramowanie typu PRISM. Czym są te programy?

Cytat: Wikipedia
PRISM – tajny amerykański program szpiegowski, administrowany od 2007 przez National Security Agency (NSA), umożliwiający wywiadowi Stanów Zjednoczonych dostęp do danych zgromadzonych na serwerach największych przedsiębiorstw internetowych, jak również gromadzenie tych danych na własny użytek.
[/color]

Aby temu zaradzić, wystarczy podjąć kilka kroków.


1. Edytuj /etc/pacman.conf i dodaj do niego odpowiednie zapisy, koniecznie nad zapisem core:

[nonprism]
Server = http://parabolagnulinux.mirrors.linux.ro/$repo/os/$arch

#[nonprism-testing]
#Server = http://parabolagnulinux.mirrors.linux.ro/$repo/os/$arch

2. Zaktualizuj system:


[root@archlinux lucjan]# pacman -Syu
:: Synchronizowanie baz danych z pakietami...
 nonprism                                             32,2 KiB   290K/s 00:00 [############################################] 100%
 core jest już w najnowszej wersji
 extra jest już w najnowszej wersji
 community jest już w najnowszej wersji
 multilib jest już w najnowszej wersji
 archlinuxcn jest już w najnowszej wersji
 herecura-stable                                      83,1 KiB   248K/s 00:00 [############################################] 100%
:: Rozpoczynanie pełnej aktualizacji systemu...
ostrzeżenie: ignorowanie zastępowania pakietu (icedtea-web-java7-1.4.2-1 => icedtea-web-1.5.1-3)
rozwiązywanie zależności...
szukanie konfliktów międzypakietowych...

Pakiety (2):

Nazwa                       Poprzednia wersja  Nowa wersja                   Zmiana netto  Rozmiar do pobrania

nonprism/kdenetwork-kopete  4.14.0-1           4.14.0-1.parabola1.nonprism1  -5,66 MiB                5,35 MiB
nonprism/kdepim-runtime     4.14.0-3           4.14.0-3.nonprism2            -0,52 MiB                2,55 MiB

Całkowity rozmiar do pobrania:    7,90 MiB
Całkowity rozmiar po instalacji:  27,15 MiB
Rozmiar aktualizacji sieciowej:    -6,18 MiB

3. Zapoznaj się z listą paczek dostępnych w repo:


nonprism amarok 2.8.0-3.nonprism1
nonprism banshee 2.6.2-4.nonprism1
nonprism bitlbee 3.2.2-1.parabola1.nonprism1
nonprism bti 034-1.nonprism1
nonprism centerim 4.22.10-3.nonprism1
nonprism choqok 1.4-1.nonprism1
nonprism claws-mail 3.10.1-1.nonprism1
nonprism darktable 1.4.2-3.nonprism1
nonprism duplicity 0.6.24-1.nonprism1
nonprism eog-plugins 3.12.1-1.nonprism1
nonprism evolution-data-server 3.12.5-1.nonprism1
nonprism finch 2.10.9-2.nonprism1
nonprism gnome-online-accounts 3.12.3-1.nonprism1
nonprism grilo-plugins 0.2.12-2.nonprism1
nonprism gthumb 3.2.8-1.nonprism1
nonprism icedove 1:31.0.deb3-2.nonprism1
nonprism jitsi 2.4.4997-1.nonprism1
nonprism kde-meta-kdepim 4.13-3.nonprism1
nonprism kde-meta-kdeplasma-addons 4.13-3.nonprism1
nonprism kdenetwork-kopete 4.14.0-1.parabola1.nonprism1 [zainstalowano: 4.14.0-1]
nonprism kdepim-akonadiconsole 4.14.0-2.nonprism1
nonprism kdepim-kaddressbook 4.14.0-2.nonprism1
nonprism kdepim-kjots 4.14.0-2.nonprism1
nonprism kdepim-kmail 4.14.0-2.nonprism1
nonprism kdepim-knode 4.14.0-2.nonprism1
nonprism kdepim-knotes 4.14.0-2.nonprism1
nonprism kdepim-korganizer 4.14.0-2.nonprism1
nonprism kdepim-libkdepim 4.14.0-2.nonprism1
nonprism kdepim-runtime 4.14.0-3.nonprism2 [zainstalowano: 4.14.0-3]
nonprism kipi-plugins 4.2.0-2.parabola1.nonprism1
nonprism libpurple 2.10.9-2.nonprism1
nonprism openshot 1.4.3-3.parabola1.nonprism1
nonprism pidgin 2.10.9-2.nonprism1
nonprism shotwell 1:0.18.1-1.nonprism1
nonprism sylpheed 3.4.2-1.nonprism1
nonprism your-privacy 20140904-1

4. Pozbądź się niepewnych elementów ze swojego systemu. Nie musisz wertować listy pakietów i działać na oślep. Wystarczy jeden ruch i pozbędziesz się tego, co narusza Twoją prywatność.


pacman -S your-privacy
rozwiązywanie zależności...
szukanie konfliktów międzypakietowych...
:: your-privacy konfliktuje z libgadu. Usunąć libgadu? [t/N] t
:: your-privacy konfliktuje z libkfbapi. Usunąć libkfbapi? [t/N] t
:: your-privacy konfliktuje z libkgapi. Usunąć libkgapi? [t/N] t

5. Cieszysz się swoją prywatnością.
 
Powtarzam, wpis ten jest przeznaczony dla osób fanatycznie broniących swojej prywatności. Normalny użytkownik nie znajdzie tu niczego dla siebie!
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
[AUR]  [GitHub]

 

Polityka cookies
Darmowe Fora | Darmowe Forum
proskills blanciormt2forum ka1997 cesarstwoniemieckie pesandfifa